package com.yizhi.assignment.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@Api(tags = "AssignmentAnswerMarkingSelectVO", description = "获取单个学生作业信息")
public class AssignmentAnswerMarkingSelectVO {

    @ApiModelProperty(name = "assignmentId", value = "老师布置的作业id", required = true)
    private Long assignmentId;


    @ApiModelProperty(name = "assignmentAnswerId", value = "学生提交的作业id", required = true)
    private Long assignmentAnswerId;
    /**
     * 新增条件查询所有的列表
     */
    @ApiModelProperty(name = "state", value = "批阅状态（1:待阅，2：已阅,不传则为所有）")
    private Integer state;
    @ApiModelProperty(name = "name", value = "用户名/姓名/标签")
    private String name;
    @ApiModelProperty(name = "department", value = "部门关键字")
    private String department;
    @ApiModelProperty(name = "type", value = "1.提交时间；2 用户名")
    private Integer type;
    /**
     * 管辖区内用户列表
     */
    private List<Long> accountIds;

}
