package com.yizhi.assignment.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@ApiModel(value = "AssignmentCalendarVO", description = "")
@Data
public class AssignmentCalendarVO {

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "名称")
	private String name;

	@ApiModelProperty(notes = "作业完成时间")
	private Date finishTime;

	@ApiModelProperty(value = "日历任务设置的开始时间")
	private Date taskStartDate;

	@ApiModelProperty(value = "日历任务设置的结束时间")
	private Date taskEndDate;

	@ApiModelProperty(value = "允许次数，允许参加的次数")
	private Integer count;

	@ApiModelProperty(value="状态：1、未提交  2、待批阅  3、未通过 4、已通过")
	private Integer taskStatus;

	@ApiModelProperty("业务按钮状态")
	public List<String> taskButtonStatus;

	@ApiModelProperty("业务状态标签")
	public String taskTag;
}
