package com.yizhi.assignment.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Api(tags = "AssignmentUpAndDownVO", description = "作业上架下架入参")
public class AssignmentUpAndDownVO {
	@ApiModelProperty(name="id",value="作业id",required=true)
	private Long id;
	
	@ApiModelProperty(name="id",value="作业现在的状态状态(2：上架，3：下架)",required=true)
	private Integer status;
	
	@ApiModelProperty(name="accountId",value="用户id",required=false)
	private Long accountId;     //用户id
	
	@ApiModelProperty(name="accountName",value="用户名字",required=false)
	private String accountName;     //用户名

}
