package com.yizhi.assignment.application.vo;

import java.util.List;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Api(tags = "ListStudent", description = "学生")
public class ListStudent {
	
	@ApiModelProperty(name="assignmentId",value="作业id")
	private Long assignmentId;
	
	@ApiModelProperty(name="listAccountId",value="idList",required=false)
	private List<StudentVo> listAccountId;
	
	
	@ApiModelProperty(name="accountId",value = "当前登陆人用户id",required=true)
	private Long accountId;
	
	@ApiModelProperty(name="accountName",value = "当前登陆人用户姓名",required=true)
	private String accountName;
}
