package com.yizhi.assignment.application.vo.apivo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: shengchenglong
 * @Date: 2018/3/7 15:58
 */
@Data
@Api(tags = {"学员端答案vo"}, description = "学员端作业提交答案vo")
public class ApiAssignmentAswerVO {

    /**
     * 作业id
     */
    @ApiModelProperty(notes = "作业id",required=true)
    private Long assignmentId;
    
    
    /**
     * 答案来源
     */
    @ApiModelProperty(notes="答案来源（1本地2做课）",required=true)
    private Integer source;
    

    /**
     * 课程id
     */
    @ApiModelProperty(notes = "课程id",required=false)
    private Long courseId;
    

    /**
     * 上传文件vo集合
     */
    @ApiModelProperty(notes = "上传文件vo集合",required=false)
    private List<ApiFileVo> fileVos;
    
    
    
    
    
    @ApiModelProperty(notes="文字说明",required=false)
    private String content;
    
    
    
    
    @ApiModelProperty(name="accountId",value="用户id,前端不传",required=false)
	private Long accountId;
	
	@ApiModelProperty(name="accountName",value="用户名,前端不传",required=false)
	private String accountName;
	
	@ApiModelProperty(name="realName",value="真实姓名,前端不传",required=false)
	private String realName;
	
	@ApiModelProperty(name="companyId",value="公司id,前端不传",required=false)
	private Long companyId;
	
	@ApiModelProperty(name="siteId",value="站点id,前端不传",required=false)
	private Long siteId;
	
	@ApiModelProperty(name="orgId",value="组织机构id,前端不传",required=false)
	private Long orgId;
	

}
