package com.yizhi.assignment.application.vo.enums;

/** 作业枚举类
 * @author lly
 * @date 2019年1月3日
 */
public enum AssignmentConstant {

    SUBMISSION(0,"待提交"),MARKING(1,"批阅中"),PASS(2,"通过"),NO_PASS(3,"未通过"),Delay(4,"已逾期"),MARKUP(5,"补交");

    private Integer code;
    private String msg;

    AssignmentConstant(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
