package com.yizhi.application.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 作业和评阅人的对应关系
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
@Data

@TableName("assignment_auditor")
public class AssignmentAuditor extends Model<AssignmentAuditor> {

    private static final long serialVersionUID = 1L;


    
    private Long id;

    
    @TableField("assignment_id")
    private Long assignmentId;

    
    @TableField("account_id")
    private Long accountId;

    
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
