package com.yizhi.application.service;

import com.yizhi.application.entity.AssignmentAnswerSuggestion;
import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 老师对学员做的作业的回复内容 服务类
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
public interface AssignmentAnswerSuggestionService extends IService<AssignmentAnswerSuggestion> {

    /**
     * 根据作业答案找到suggestion实体
     * @param id
     * @return
     */
    AssignmentAnswerSuggestion selectSuggestionByAnswerId(Long answerId);
    
    /**
     * 如果是第二次批阅，则干掉第一次的批阅
     */
    Boolean delectSuggestion(Long answerId);

}
