package com.yizhi.application.service;

import com.yizhi.application.entity.AssignmentFile;

import java.util.List;

import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 老师布置的作业对应多个文件，存放多个文件地址 服务类
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
public interface AssignmentFileService extends IService<AssignmentFile> {
	
	/**
	 * 根据作业id删除老师布置得作业的文件     管理端------2018，09，18
	 * @param assignmentId
	 * @return
	 */
	Boolean deleteFileByAssignmentId(Long assignmentId);
	
	
	/**
	 * 根据作业id找到作业文件
	 * @param assignmentId
	 * @return
	 */
	List<AssignmentFile> listAssignmentFile(Long assignmentId); 

}
