package com.yizhi.assignment.application.vo;

import io.swagger.annotations.Api;
import lombok.Data;

import java.util.List;

/**
 * 复旦mini mba项目学习记录类
 *
 * @author DING
 */
@Data
@Api(tags = "AssignmentListVO", description = "复旦mini mba项目学习记录类")
public class MinimbaStudyRecordVO {

    private Long planId;

    private String planName;

    private Long courseId;

    private Long examId;

    private String courseStudyDuration;

    private Double courseScore;

    List<MinimbaAssignmentVO> assignmentAnswerList;

}
