package com.yizhi.assignment.application.vo.apivo;

import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 *
 * @Author: wangfeida
 * @Date: 2018/9/5 20:08
 */
@Data
@Api(tags = {"作业答案列表"}, description = "作业答案列表")
public class ApiAssignmentAnswerVo {
	
	@ApiModelProperty(notes="作业Id")
	private Long assignmentId;

	@ApiModelProperty(notes="答案Id")
	private Long answerId;
	
   
    @ApiModelProperty(notes = "提交时间")
    private Date commitTime;
    
    
    @ApiModelProperty(notes = "答案状态 评阅状态(1:待阅,2:已阅)")
    private Integer status;
    
    
    @ApiModelProperty(notes = "分数，status=1 没值，如果status=2有值")
    private Integer score;
    
    
    @ApiModelProperty(notes="是否合格1 合格 2不合格")
    private Integer isPass;
    
    
    @ApiModelProperty(name="type",value="1打分制，2等级制",required=true)
   	private Integer type;

   	private Integer isDown;
    
    
    @ApiModelProperty(notes = "等级  status=1 没值，如果status=2有值")
    private String grade;
    

   
}
