package com.yizhi.application.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学员对作业的对应关系
 * <p>
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
@Data

@TableName("assignment_answer")
public class AssignmentAnswer extends Model<AssignmentAnswer> {

    private static final long serialVersionUID = 1L;


    
    private Long id;

    
    @TableField("assignment_id")
    private Long assignmentId;

    
    @TableField("real_name")
    private String realName;

    
    @TableField("account_id")
    private Long accountId;
    
    
    
    @TableField("account_name")
    private String accountName;
    
    
    private String content;
   

    
    private Integer score;
    
    
    
	@TableField("point")
	private Integer Point;

   

    
    @TableField("auditor_id")
    private Long auditorId;
    
    
    @TableField("auditor_time")
    private Date auditorTime;
    
    
    
    private Integer status;
    
    
    
    @TableField("source")
    private Integer source;
    
    
    @TableField("company_id")
    private Long companyId;

   

    
    @TableField("site_id")
    private Long siteId;

    
    @TableField("org_id")
    private Long orgId;

    
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    
    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    
    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;
    
    
    @TableField(value="answer_file_zip")
    private String answerFileZip;

    
    @TableField("is_down")
    private Integer isDown;

    
    private Integer deleted;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
