package com.yizhi.application.service;

import com.yizhi.application.entity.AssignmentAuditor;
import com.yizhi.assignment.application.vo.ListAuditor;

import java.util.List;

import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 作业和评阅人的对应关系 服务类
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
public interface AssignmentAuditorService extends IService<AssignmentAuditor> {
	
	/**
	 * 已关联的评阅人
	 * @param assignmentId
	 * @return
	 */
	List<Long> relationAuditor(Long assignmentId);
	
	
	/**
	 * 添加评阅人
	 * @param assignmentId
	 * @param list
	 */
	Boolean auditorInsert(ListAuditor listAuditor);
	
	
	

	
}
