package com.yizhi.application.service;

import com.yizhi.application.entity.AssignmentGrade;
import com.baomidou.mybatisplus.service.IService;

import java.util.List;

/**
 * <p>
 * 老师布置的作业等级
编号100号作业 可以有多个等级  服务类
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
public interface AssignmentGradeService extends IService<AssignmentGrade> {
    /**
     *
     * @param id 根据老师布置作业的id，查询出所有作业的等级
     * @return 返回所有作业的等级
     */
   List<AssignmentGrade> getListAssignmentGrade(Long assignmentId);
   /**
    * 根据提交的作业，找到gradeid，再根据gradeid找到对应的 是优秀还是良好或者不及格
    * @param id
    * @return
    */
   AssignmentGrade getGrade(Long id);
   
   
   /**
    * 根据作业Id删除作业设置的等级          管理端--------2018/09/18
    * @param assignmentId
    * @return
    */
   Boolean deleteAssignmentGradeByAssignmentId(Long assignmentId);
   
   
   
}
